Name: gnome-network
Version: 1.0.2
Release: alt1

Summary: GNOME1 network programs
Summary (ru_RU.UTF-8): Сетевые программы для GNOME1
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Source: ftp://ftp.gnome.org/pub/%name-%version.tar.bz2
Source3: %name-icons.tar.bz2
Source4: %name-gnome-ppp-help.tar.bz2
Source5: %name-licons.tar.bz2
Source6: %name-micons.tar.bz2
Patch0: gnome-network-sync.patch.bz2
Icon: gnome-network-logo.xpm
BuildRequires: ORBit-devel XFree86-devel XFree86-libs docbook-dtds docbook-style-dsssl docbook-utils esound-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel guile-devel imlib-devel libaudiofile-devel libdb1-devel libdb2-devel libreadline-devel openjade sgml-common xpm-devel zlib-devel

%description
GNOME1 network programs, including gnome-ppp.

%description -l ru_RU.UTF-8
Сетевые программы для GNOME1, в том числе gnome-ppp.

%prep
%setup -q
%patch0 -p 1 -b .sync

%build
%configure

%make_build

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%_menudir
cat << EOF >> $RPM_BUILD_ROOT%_menudir/%name
?package(%name): title="Synchronize" longtitle="Desktop synchronization application" command="%_bindir/gnome-sync" icon="gnome-sync.xpm" needs="gnome" section="Configuration/Other"
?package(%name): title="Gnome Talk" longtitle="Gnome Talk" command="%_bindir/gtalk" icon="gnome-talk.xpm" needs="x11" section="Networking/Chat"
?package(%name): title="Gnome ppp" longtitle="GNOME PPP dialup utility" command="%_bindir/gnome-ppp" icon="gnome-networktool.xpm" needs="x11" section="Networking/Remote access"
EOF

mkdir -p $RPM_BUILD_ROOT%_iconsdir $RPM_BUILD_ROOT%_liconsdir $RPM_BUILD_ROOT%_miconsdir
tar yxvf %SOURCE3 -C $RPM_BUILD_ROOT%_iconsdir
tar yxvf %SOURCE5 -C $RPM_BUILD_ROOT%_liconsdir
tar yxvf %SOURCE6 -C $RPM_BUILD_ROOT%_miconsdir
tar jxvf %SOURCE4 -C $RPM_BUILD_ROOT%_datadir/gnome/help/gnome-ppp/C/

# .directory files  convertion
find $RPM_BUILD_ROOT%_datadir/ -name '*.desktop' -type f -exec \
 %_bindir/conv_deskfiles.pl {} \; || :
find $RPM_BUILD_ROOT%_datadir/ -name '.directory' -type f -exec \
 %_bindir/conv_deskfiles.pl {} \; || :

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog
%_bindir/*
%_datadir/gnome/apps/Internet/*.desktop
%_datadir/gnome/help/*
%_datadir/pixmaps/*
%_menudir/*
%_iconsdir/*.xpm
%_liconsdir/*.xpm
%_miconsdir/*.xpm

%changelog
* Tue Nov 19 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0.2-alt1
- ppp-applet removed 

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.0.2-ipl10mdk
- rebuilt with conv_deskfiles.pl

* Fri Jan 05 2001 AEN <aen@logic.ru>
- adopted for RE

* Tue Dec  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-8mdk
- Patch to compile with glibc 2.2/db2
- Readd .desktop

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-7mdk
- Correct size for some icons

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Add missing icons
- Use find_lang macro

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-5mdk
- BM + macroszification
- menu entry is embedded in specfile
- patch for gnome-sync to correctly exit when using close button + correct support of i18n

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- automatically added BuildRequires

* Thu Apr 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-3mdk
- fixed file-not-found in help system of gnome-ppp, with highly
  precious help from Camille with sgml
- added menu entries

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.2-2mdk
- match new group.
- SMP build/check.
- cleanup spec.

* Fri Jan 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed build by non-root

* Tue Jan 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- built for Mandrake

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-network CVS source tree

